singleton Material(hdbody)
{
    mapTo = "hdbody";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    diffuseMap[2] = "dude.png";
    diffuseMap[1] = "dude_d.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.337";
    diffuseColor[2] = "1 1 1 0.737";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ldwhite)
{
    mapTo = "ldwhite";
    diffuseMap[0] = "vehicles/1500/rlight.png";
	diffuseColor[0] = "1 1 1 0.1";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ldpart)
{
    mapTo = "ldpart";
   specularPower[0] = "25";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/1500/bumpers.png";
   useAnisotropic[0] = "1";
   materialTag0 = "Miscellaneous";
   pixelSpecular[0] = "1";
   normalMap[0] = "vehicles/1500/bumpers_n.png";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(ldengine)
{
    mapTo = "ldengine";
   specularPower[0] = "25";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/1500/hemi.png";
   useAnisotropic[0] = "1";
   materialTag0 = "Miscellaneous";
   pixelSpecular[0] = "1";
   normalMap[0] = "vehicles/1500/hemi_n.png";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(ldred)
{
    mapTo = "ldred";
    diffuseMap[0] = "vehicles/1500/rparking.png";
	diffuseColor[0] = "1 1 1 0.1";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
}; 

singleton Material(ldbed)
{
    mapTo = "ldbed";
    diffuseMap[0] = "vehicles/1500/bed.png";
	diffuseColor[0] = "1 1 1 0.1";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hdinterior)
{
    mapTo = "hdinterior";
   specularPower[0] = "25";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/1500/inside.png";
   useAnisotropic[0] = "1";
   materialTag0 = "Miscellaneous";
   pixelSpecular[0] = "1";
   normalMap[0] = "vehicles/1500/inside_n.png";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(ldbed2)
{
    mapTo = "ldbed2";
   specularPower[0] = "25";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/1500/bed2.png";
   useAnisotropic[0] = "1";
   materialTag0 = "Miscellaneous";
   pixelSpecular[0] = "1";
   normalMap[0] = "vehicles/1500/bed2_n.png";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(hdglass)
{
   mapTo = "hdglass";
   reflectivityMap[0] = "vehicles/1500/heavyglass.dds";
    diffuseMap[0] = "vehicles/1500/heavyglass.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/1500/heavyglass.dds";
    specularMap[1] = "vehicles/1500/heavyglass.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(hdunder)
{
    mapTo = "hdunder";
   specularPower[0] = "25";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/1500/under.png";
   useAnisotropic[0] = "1";
   materialTag0 = "Miscellaneous";
   pixelSpecular[0] = "1";
   normalMap[0] = "vehicles/1500/under_n.png";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};
